<?php

namespace Drupal\commerce_klarna_checkout\Event;

/**
 * Defines events for the Commerce Klarna Checkout module.
 */
final class KlarnaCheckoutEvents {

  /**
   * Name of the event fired when calling Klarna for creating an order.
   *
   * @Event
   *
   * @see \Drupal\commerce_klarna_checkout\Event\OrderRequestEvent
   */
  const CREATE_ORDER_REQUEST = 'commerce_klarna_checkout.create_order_request';

  /**
   * Name of the event fired when calling Klarna for updating an order.
   *
   * @Event
   *
   * @see \Drupal\commerce_klarna_checkout\Event\OrderRequestEvent
   */
  const UPDATE_ORDER_REQUEST = 'commerce_klarna_checkout.update_order_request';

}
